org.apache.kylin.jdbc.stub

## Class DataSet<E>

- java.lang.Object
- - org.apache.kylin.jdbc.stub.DataSet<E>

    public class DataSet<E>
    extends Object

Data set wrapper.

Author:
  xduo

### Constructor Summary

Constructors
Constructor and Description
`DataSet(List<net.hydromatic.avatica.ColumnMetaData> meta, net.hydromatic.linq4j.Enumerator<E> enumerator)`

### Method Summary

Methods
`net.hydromatic.linq4j.Enumerator<E>` `getEnumerator()`
`List<net.hydromatic.avatica.ColumnMetaData>` `getMeta()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataSet

    public DataSet(List<net.hydromatic.avatica.ColumnMetaData> meta,
           net.hydromatic.linq4j.Enumerator<E> enumerator)

Parameters:
  `meta` -
  `enumerator` -

### Method Detail

#### getMeta

    public List<net.hydromatic.avatica.ColumnMetaData> getMeta()

#### getEnumerator

    public net.hydromatic.linq4j.Enumerator<E> getEnumerator()